## IdeGutter IdeGutter |

## Functions

gboolean | ide_gutter_get_show_line_changes ()
gboolean | ide_gutter_get_show_line_numbers ()
gboolean | ide_gutter_get_show_line_diagnostics ()
void | ide_gutter_set_show_line_changes ()
void | ide_gutter_set_show_line_numbers ()
void | ide_gutter_set_show_line_diagnostics ()
void | ide_gutter_style_changed ()

## Properties

gboolean | show-line-changes | Read / Write
gboolean | show-line-diagnostics | Read / Write
gboolean | show-line-numbers | Read / Write

## Signals

void | style-changed | Run Last

## Types and Values

#define | IDE_TYPE_GUTTER
struct | IdeGutterInterface
| IdeGutter

## Object Hierarchy

        GInterface
        ╰── IdeGutter

## Prerequisites

IdeGutter requires GObject.

## Description

## Functions

### ide_gutter_get_show_line_changes ()

    gboolean
    ide_gutter_get_show_line_changes (IdeGutter *self);

### ide_gutter_get_show_line_numbers ()

    gboolean
    ide_gutter_get_show_line_numbers (IdeGutter *self);

### ide_gutter_get_show_line_diagnostics ()

    gboolean
    ide_gutter_get_show_line_diagnostics (IdeGutter *self);

### ide_gutter_set_show_line_changes ()

    void
    ide_gutter_set_show_line_changes (IdeGutter *self,
                                      gboolean show_line_changes);

### ide_gutter_set_show_line_numbers ()

    void
    ide_gutter_set_show_line_numbers (IdeGutter *self,
                                      gboolean show_line_numbers);

### ide_gutter_set_show_line_diagnostics ()

    void
    ide_gutter_set_show_line_diagnostics (IdeGutter *self,
                                          gboolean show_line_diagnostics);

### ide_gutter_style_changed ()

    void
    ide_gutter_style_changed (IdeGutter *self);

## Types and Values

### IDE_TYPE_GUTTER

    #define IDE_TYPE_GUTTER (ide_gutter_get_type())

### struct IdeGutterInterface

    struct IdeGutterInterface {
      GTypeInterface parent_class;

      void (*style_changed) (IdeGutter *self);
    };

### IdeGutter

    typedef struct _IdeGutter IdeGutter;

## Property Details

### The `“show-line-changes”` property

      “show-line-changes”        gboolean

If line changes should be displayed.

Owner: IdeGutter

Flags: Read / Write

Default value: FALSE

### The `“show-line-diagnostics”` property

      “show-line-diagnostics”    gboolean

If line diagnostics should be displayed.

Owner: IdeGutter

Flags: Read / Write

Default value: FALSE

### The `“show-line-numbers”` property

      “show-line-numbers”        gboolean

If line numbers should be displayed.

Owner: IdeGutter

Flags: Read / Write

Default value: FALSE

## Signal Details

### The `“style-changed”` signal

    void
    user_function (IdeGutter *idegutter,
                   gpointer   user_data)

Flags: Run Last